models/Poa.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "poa".
 *
 * @property integer $idpoa
 * @property string $ano
 * @property string $lineamiento
 * @property string $objetivo_esrategico
 * @property string $objetivo_parroquial
 * @property string $proyecto
 * @property string $objetivo_proyecto
 * @property integer $id_unidad
 *
 * @property Dtpoa[] $dtpoas

 * @property AreaaccionUnidadesponsable $unidad
 */
class Poa extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'poa';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['ano', 'lineamiento', 'objetivo_esrategico', 'id_unidad'], 'required'],
            [['ano'], 'integer'],
            [['ano'], 'validaPoa'],
            [['lineamiento', 'objetivo_esrategico', 'objetivo_parroquial', 'proyecto','objetivo_proyecto'], 'string'],
            [['id_unidad'], 'integer'],
            [['id_unidad'], 'exist', 'skipOnError' => true, 'targetClass' => Areaaccionunidadesponsable::className(), 'targetAttribute' => ['id_unidad' => 'idareaaccionunidadesponsable']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'idpoa' => 'Id',
            'ano' => 'Año',
            'lineamiento' => 'Lineamiento Estratégico Segundo Plan Socialista de Desarrollo Económico y Social de la Nación 2013 - 2019',
            'objetivo_esrategico' => 'Objetivo Estratégico Plan de Desarrollo Territorial',
            'objetivo_parroquial' => 'Objetivo Territorial',
            'proyecto' => 'Metas del Plan Integral de Desarrollo',
            'objetivo_proyecto' => 'Objetivos del Plan Integral de Desarrollo',
            'id_unidad' => 'Unidad Responsable',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getDtpoas()
    {
        return $this->hasMany(Dtpoa::className(), ['id_poa' => 'idpoa']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdUnidad()
    {
        return $this->hasOne(Areaaccionunidadesponsable::className(), ['idareaaccionunidadesponsable' => 'id_unidad']);
    }

    public function getIdUnidadDesc()
    {
        return $this->idUnidad->unidadnombre;
    }


    /*public function getUnidadnombre()
    {
        //return $this->hasOne(Unidadresponsable::className(), ['idunidadresponsble' => 'id_unidad']);
        return $this->idUnidad->descripcion." - ".$this->ano;
    }*/

    public function validaPoa($attribute, $params, $validator)
     {
         //if (!in_array($this->$attribute, ['1', '2'])) {
         if ($this->isNewRecord) {
           # code...

             $ceddt = Poa::find()->where(['id_unidad' => $this->id_unidad,'ano'=>$this->ano])->count();

             if ($ceddt>=1) {

                 $datos = Poa::find()->where(['id_unidad' => $this->id_unidad,'ano'=>$this->ano])->one();

                 $this->addError($attribute, 'Ya posee un Plan registrado para el año: '.$this->ano);
             }
         }

     }
}

controllers/ReportController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Avance;

use yii\filters\AccessControl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\web\NotFoundHttpException;
use mPDF;


class ReportController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */


    public function actionAvance()
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $model = new Avance();

            return $this->render('form/avance_form', ['model' => $model,]);
        }

    }

    public function actionPoa()
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $model = new Avance();

            return $this->render('form/poa_form', ['model' => $model,]);
        }

    }


    public function actionMc()
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $model = new Avance();
            $this->layout = 'pdf/pdf';
            return $this->render('mc', ['model' => $model,]);
        }

    }

    public function actionMc2()
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $model = new Avance();
            $this->layout = 'pdf/pdf';
            return $this->render('mc2', ['model' => $model,]);
        }

    }

    public function actionInfgest()
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $model = new Avance();
            $this->layout = 'pdf/pdf';
            return $this->render('infgest', ['model' => $model,]);
        }

    }

    public function actionInformef($id)
    {

        if (Yii::$app->user->isGuest) {

            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

          //  $model = new Avance();
            $this->layout = 'pdf/pdf';
            return $this->render('informef', ['id' => $id,]);
        }

    }

    public function actionAvancepdf($poa,$id_dtpoa,$trimestre)
    {

        if (Yii::$app->user->isGuest) {

           // return SiteControlleractionLogin();
            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $mpdf=new mPDF('c','A4-L');
            $mpdf->SetHeader('{DATE j-m-Y}');
            $mpdf->pagenumPrefix='Pág. ';
            $mpdf->pagenumSuffix=' de ';
            $mpdf->SetFooter('{PAGENO}{nbpg}');
            $this->layout = 'pdf/pdf';

            $mpdf->WriteHTML($this->render('avancepdf', [
                'poa' => $poa,
                'id_dtpoa' => $id_dtpoa,
                'trimestre' => $trimestre,
            ]));
            $mpdf->Output();
        }

    }




    public function actionPoapdf($poa)
    {

        if (Yii::$app->user->isGuest) {

           // return SiteControlleractionLogin();
            throw new NotFoundHttpException('No a Iniciado Sesión...');
        }else {

            $mpdf=new mPDF('c','A4-L');
            $mpdf->SetHeader('{DATE j-m-Y}');
            $mpdf->pagenumPrefix='Pág. ';
            $mpdf->pagenumSuffix=' de ';
            $mpdf->SetFooter('{PAGENO}{nbpg}');
            $this->layout = 'pdf/pdf';

            $mpdf->WriteHTML($this->render('poapdf', [
                'poa' => $poa,

            ]));
            $mpdf->Output();
        }

    }

}

views/report/avancepdf.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;

use app\models\Poa;
use app\models\Dtpoa;
use app\models\Avance;



$Poa=Poa::find()->where(['idpoa' => $poa])->one();



$this->title = 'SISTEMA DE PLANIFICACION - AVANCE DE PLAN OPERATIVO';
//echo $municipio;


echo  Html::img('@web/images/uptbal.gif', ['alt' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ','title' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ']);


?>

<div class="listado-parroquia">

		<div >
              <h3 class="modal-header-danger">
                     AVANCE DEL PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO - 
              </br>
                    <?= strtoupper($Poa->idUnidadDesc) ?>

              </h3>
		</div>



<table class="table table-striped table-bordered">

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'ano'); ?></strong></td>
      <td> <?= $Poa->ano ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'lineamiento'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->lineamiento)) ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'objetivo_esrategico'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->objetivo_esrategico)) ?> </td>
    </tr>



    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'proyecto'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->proyecto)) ?> </td>
    </tr>
    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'objetivo_proyecto'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->objetivo_proyecto)) ?> </td>
    </tr>


</table>


<table class="table-striped table-bordered">

    <tr class="bg bg-danger">
      <td align="center"  rowspan="2"><strong>N°</strong></td>
      <td align="center"  rowspan="2"><strong>Acciones</strong></td>
      <td align="center"  rowspan="2"><strong>Unidad de Medida </strong></td>
      <td align="center"  rowspan="2"><strong>Meta Anual</strong></td>

      <td align="center"  colspan="4"><strong>Trimestre de realización</strong></td>

      <td align="center"  rowspan="2"><strong>Efectividad</strong></td>


    </tr >
    <tr class="bg bg-success">
    <td align="center"><strong>I</strong></td>
    <td align="center"><strong>II</strong></td>
    <td align="center"><strong>III</strong></td>
    <td align="center"><strong>IV</strong></td>
  </tr>

    <?php $Dtpoa=Dtpoa::find()->where(['id_poa' => $poa])->all();

      $Avance=0;
      $efectividad=0;
      $meta_anual=0;
      foreach($Dtpoa as $key => $value) {

        $meta_anual=$value->meta_anual;
        echo "<tr>";
            echo "<td><strong>". strtoupper($key) ."</strong></td>";
            echo "<td>". strtoupper($value->actividad) ."</td>";
            echo "<td align=center>". strtoupper($value->idUnidadMedida->descripcion) ."</td>";
            echo "<td align=center>". number_format($meta_anual, 0, ",", ".") ."</td>";

            $Avancet1=Avance::find()->where(['between','mes', "1","3"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

            echo "<td align=center>". number_format($Avancet1, 0, ",", ".") ."</td>";

            $Avancet2=Avance::find()->where(['between','mes', "4","6"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

            echo "<td align=center>". number_format($Avancet2, 0, ",", ".")."</td>";

            $Avancet3=Avance::find()->where(['between','mes', "7","9"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

            echo "<td align=center>". number_format($Avancet3, 0, ",", ".") ."</td>";

            $Avancet4=Avance::find()->where(['between','mes', "10","12"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

            echo "<td align=center>". number_format($Avancet4, 0, ",", ".") ."</td>";

            $Avance=$Avancet1+$Avancet2+$Avancet3;


            $efectividad=$Avance/$meta_anual*100;

            echo "<td align=center>". number_format($efectividad, 2, ",", ".")."%</td>";


        echo "</tr>";
      }

    ?>





    </tr>




</table>

</div>

views/report/infgest.php
<?php
ini_set("memory_limit","1024M");
set_time_limit(4200);
/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use dosamigos\chartjs\ChartJs;
use app\models\Poa;
use app\models\Areaccion;
use app\models\Dtpoa;
use app\models\Avance;


echo  Html::img('@web/images/uptbal.gif', ['alt' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ','title' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ']);

//$Poa=Poa::find()->where(['idpoa' => $poa])->one();
$this->title = 'PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO DE LA UPTBAL';
$Areaccion=Areaccion::find()->all();

foreach($Areaccion as $key => $Areaccion) {

?>

<div class="memoria-vuenta1">
	<div  >
						<h3 class="modal-header-success">
							AREA DE ACCION:
									<?= strtoupper($Areaccion->descripcion) ?>

						</h3>
	</div>
	</div>

<?php

$Poa=Poa::find()->joinWith('idUnidad')->where(['id_areaccion'=>$Areaccion->idareaccion])->orderBy('id_areaccion')->all();
foreach($Poa as $key => $value) {


?>

<div class="listado-parroquia">

		<div >
              <h3 class="modal-header-danger">
                     PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO DE LA UPTBAL -
              </br>
                    <?= strtoupper($value->idUnidadDesc) ?>

              </h3>
		</div>



<table class="table table-striped table-bordered">

    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'ano'); ?></strong></td>
      <td> <?= $value->ano ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'lineamiento'); ?></strong></td>
      <td> <?= $value->lineamiento ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'objetivo_esrategico'); ?></strong></td>
      <td> <?= $value->objetivo_esrategico ?> </td>
    </tr>


    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'objetivo_parroquial'); ?></strong></td>
      <td> <?= $value->objetivo_parroquial ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'proyecto'); ?></strong></td>
      <td> <?= $value->proyecto ?> </td>
    </tr>
    <tr>
      <td align="center"><strong><?= Html::activeLabel($value, 'objetivo_proyecto'); ?></strong></td>
      <td> <?= $value->objetivo_proyecto ?> </td>
    </tr>


</table>


<table class=" table-bordered">





    <?php $Dtpoa=Dtpoa::find()->where(['id_poa' => $value->idpoa, ])->all();

      $Avance=0;
      $efectividad=0;
      $meta_anual=0;
      foreach($Dtpoa as $key => $value) {

        $meta_anual=$value->meta_anual;

				$Avancet1=Avance::find()->where(['between','mes', "1","3"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

										$Avancet2=Avance::find()->where(['between','mes', "4","6"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

										$Avancet3=Avance::find()->where(['between','mes', "7","9"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

										$Avancet4=Avance::find()->where(['between','mes', "10","12"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

										$Avance=$Avancet1+$Avancet2+$Avancet3+$Avancet4;

										$efectividad1=$Avance/$meta_anual*100;

										/*if ($efectividad>100) {
													//$mtatem=mt_rand(3, 9);
													$meta_anual2=$Avance/4*4.5;

													if ($meta_anual2>0){
														$efectividad1=$Avance/$meta_anual2*100;
														$meta_anual=$meta_anual2;
													}else {
														$efectividad1=0;
													}
										} else {
											$efectividad1=$efectividad;
										}*/
?>

		      <tr >

						<td align="center"  class="bg bg-info"><strong>N°</strong></td>
						<td> <?=strtoupper($key)?></td>
						<td rowspan="10" align="center"> <div class="label label-success">

							<?=strtoupper($value->idUnidadMedida->descripcion)?>
							</div>
<?php
							$etiquetas1=['I','II','III','IV'];
			$datos1=[$Avancet1,$Avancet2,$Avancet3,$Avancet4];
			$r1=mt_rand(0, 255);
			$g1=mt_rand(0, 255);
			$b1=mt_rand(0, 255);
			$Color[] = "rgba(".$r1.",".$g1.",".$b1.",0.5)";
			$bColor[] = "rgba(".$r1.",".$g1.",".$b1.",2)";
			$tip=mt_rand(1, 3);
			$values=[
					'1'=>'pie',
					'2'=>'doughnut',
					'3'=>'line',
			];
			?>

			<?= ChartJs::widget([
				'type' => $values[$tip],//'pie',
				'options' => [
						//  'id' => 'cstat',

							//'responsive' => true,
							//'animation'=> true,
			],
				'clientOptions' => [
						'legend' => ['display' => true],
						'tooltips' => ['enabled' => true],
				],
				'data' => [
						'labels' => $etiquetas1,
						'datasets' => [
								[
									'backgroundColor' => $Color,
									'borderColor' => $bColor,
									'pointBackgroundColor' => $bColor,
									'pointBorderColor' => "#fff",
									'pointHoverBackgroundColor' => "#fff",
									'pointHoverBorderColor' => $bColor,
										'data' => $datos1,
								],

						],
				]
		]);
		?>



						</td>
					</tr >
		      <tr >

						<td align="center" class="bg bg-info"><strong>Acciones</strong></td>
						<td> <?=strtoupper($value->actividad)?></td>

					</tr >
		      <tr >

						<td align="center"  class="bg bg-info"><strong>Unidad de Medida </strong></td>
						<td> <?=strtoupper($value->idUnidadMedida->descripcion)?></td>

					</tr >
		      <tr>

						<td align="center" class="bg bg-info" ><strong>Meta Anual</strong></td>
						<td> <?=number_format($meta_anual, 0, ",", ".")?></td>

					</tr >


		    <tr >

					<td align="center" class="bg bg-success"><strong>Trimestre I</strong></td>
					<td> <?=number_format($Avancet1, 0, ",", ".")?></td>

				</tr >
		    <tr >

					<td align="center" class="bg bg-success"><strong>Trimestre II</strong></td>
					<td> <?=number_format($Avancet2, 0, ",", ".")?></td>

				</tr >
		    <tr >

					<td align="center" class="bg bg-success"><strong>Trimestre III</strong></td>
					<td> <?=number_format($Avancet3, 0, ",", ".")?></td>

				</tr >
		    <tr >

					<td align="center" class="bg bg-success"><strong>Trimestre IV</strong></td>
					<td><?=number_format($Avancet4, 0, ",", ".")?></td>

				</tr >
				<tr >

					<td align="center" class="bg bg-info"><strong>Total</strong></td>
					<td> <?=number_format($Avance, 0, ",", ".")?></td>

				</tr >
				<tr >

					<td align="center" class="bg bg-warning"  ><strong>Efectividad</strong></td>
					<td> <?=number_format($efectividad1, 2, ",", ".")?>%</td>

				</tr >
				<tr >
					<td colspan="3" class="bg bg-danger"  >&nbsp;</td>
				</tr >





<?php



      }

    ?>


</table>

</div>

<?php }
} ?>

views/report/poapdf.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;

use app\models\Poa;
use app\models\Dtpoa;
use app\models\Avance;



$Poa=Poa::find()->where(['idpoa' => $poa])->one();



$this->title = 'PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO DE LA UPTBAL '.strtoupper($Poa->idUnidadDesc);
//echo $municipio;


echo  Html::img('@web/images/uptbal.gif', ['alt' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ','title' => 'Universidad Politécnica Territorial de Barlovento “Argelia Laya” ']);


?>

<div class="listado-parroquia">

		<div >
              <h3 class="modal-header-danger">
                     PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO - 
              </br>
                    <?= strtoupper($Poa->idUnidadDesc) ?>

              </h3>
		</div>



<table class="table table-striped table-bordered">

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'ano'); ?></strong></td>
      <td> <?= $Poa->ano ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'lineamiento'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->lineamiento)) ?> </td>
    </tr>

    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'objetivo_esrategico'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->objetivo_esrategico)) ?> </td>
    </tr>



    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'proyecto'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->proyecto)) ?> </td>
    </tr>
    <tr>
      <td align="center"><strong><?= Html::activeLabel($Poa, 'objetivo_proyecto'); ?></strong></td>
      <td> <?= nl2br(strtoupper($Poa->objetivo_proyecto)) ?> </td>
    </tr>

		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.definicion'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->definicion)) ?> </td>
		</tr>
		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.vision'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->vision)) ?> </td>
		</tr>
		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.mision'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->mision)) ?> </td>
		</tr>
		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.objetivo_general'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->objetivo_general)) ?> </td>
		</tr>
		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.objetivos_especificos'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->objetivos_especificos)) ?> </td>
		</tr>

		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.funciones'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->funciones)) ?> </td>
		</tr>
		<tr>
			<td align="center"><strong><?= Html::activeLabel($Poa, 'idUnidad.unidadresponsble.lineas_estrategicas'); ?></strong></td>
			<td> <?= nl2br(strtoupper($Poa->idUnidad->unidadresponsble->lineas_estrategicas)) ?> </td>
		</tr>



</table>


<table class=" table-striped table-bordered">

    <tr class="bg bg-danger">
      <td align="center"  rowspan="3"><strong>N°</strong></td>
      <td align="center"  rowspan="3"><strong>Acciones</strong></td>
      <td align="center"  rowspan="3"><strong>Unidad de Medida </strong></td>
      <td align="center"  rowspan="3"><strong>Meta Anual</strong></td>

      <td align="center"  colspan="12"><strong>Programación Física</strong></td>



    </tr>
    <tr class="bg bg-warning">
    <td align="center"  colspan="3"><strong>TRIMESTRE I</strong></td>
    <td align="center"  colspan="3"><strong>TRIMESTRE II</strong></td>
    <td align="center"  colspan="3"><strong>TRIMESTRE III</strong></td>
    <td align="center"  colspan="3"><strong>TRIMESTRE IV</strong></td>
  </tr>

  <tr  class="bg bg-success">
    <td align="center"><strong>ENE</strong></td>
    <td align="center"><strong>FEB</strong></td>
    <td align="center"><strong>MAR</strong></td>
    <td align="center"><strong>ABR</strong></td>
    <td align="center"><strong>MAY</strong></td>
    <td align="center"><strong>JUN</strong></td>
    <td align="center"><strong>JUL</strong></td>
    <td align="center"><strong>AGO</strong></td>
    <td align="center"><strong>SEP</strong></td>
    <td align="center"><strong>OCT</strong></td>
    <td align="center"><strong>NOV</strong></td>
    <td align="center"><strong>DIC</strong></td>
  </tr>

    <?php $Dtpoa=Dtpoa::find()->where(['id_poa' => $poa])->all();

      $Avance=0;
      $efectividad=0;
      $meta_anual=0;
      foreach($Dtpoa as $key => $value) {

        $meta_anual=$value->meta_anual;
        echo "<tr>";
            echo "<td><strong>". strtoupper($key) ."</strong></td>";
            echo "<td>". strtoupper($value->actividad) ."</td>";
            echo "<td align=center>". strtoupper($value->idUnidadMedida->descripcion) ."</td>";
            echo "<td align=center>". number_format($meta_anual, 2, ",", ".") ."</td>";

           //$Avancet1=Avance::find()->where(['between','mes', "1","3"])->andFilterWhere(['id_dtpoa' => $value->iddtpoa])->sum('valor');

            echo "<td align=center>". number_format($value->enero, 0, ",", ".") ."</td>";

            echo "<td align=center>". number_format($value->febrero, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->marzo, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->abril, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->mayo, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->junio, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->julio, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->agosto, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->setiembre, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->octubre, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->noviembre, 0, ",", ".") ."</td>";
            echo "<td align=center>". number_format($value->diciembre, 0, ",", ".") ."</td>";


        echo "</tr>";
      }

    ?>





    </tr>




</table>

</div>